Campaigns of the organization and its child brands
GET
/api/public/v1/organizations/campaignsLiveAnswers from your brand's records now.
Operation id listOrganizationCampaigns
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/organizations/campaigns" \
-H "Authorization: Bearer gdc_..."Responses
200Success
| Field | Type | Notes |
|---|---|---|
| campaigns | array of object | |
| campaigns[].[].campaign_type | string | One of CampaignContractAmbassador Program |
| campaigns[].[].id | integer | |
| campaigns[].[].name | string | |
| campaigns[].[].status | string | One of ActivePausedCanceledCompletedArchivedVoid |
| success | boolean |
Example
{
"campaigns": [
{
"campaign_type": "Campaign",
"id": 1024,
"name": "Example name",
"status": "Active"
}
],
"success": true
}Errors: 401422with an error and usually a message. See errors.
Example values are made up from each field's type and name.